
        <div ng-if="action==2">
            <!-- <h1> Group login</h1> -->
           
            <div class="row">
                
                <div class="col">
                    <md-input-container md-no-float class="md-block">
                        <md-icon><i class="ri-group-line"></i></md-icon>
                        <input ng-model="group.groupid" type="number" placeholder="Group id" ng-required="true">
                    </md-input-container>
                  

                </div>
                <div class="col">
                    <md-input-container class="md-icon-float md-block">
                        <label>Group name</label>
                        <md-icon class="name" class="ri-user-line"> <i class="ri-group-line"></i>
                        </md-icon>
                        <input ng-model="group.group_name" type="text " ng-required="true">
                    </md-input-container>
                </div>
                <div class="row">
                    <div class="col">
                    </md-input-container>
                    <md-datepicker ng-model="group.crdate" md-placeholder="Enter created date">
                    </md-datepicker>
                    </div>
                    <div class="col">
                    </md-input-container>
                    <md-datepicker ng-model="group.update" md-placeholder="Enter update date">
                    </md-datepicker>
                    </div>
                </div>
            </div>
            <br>
            <md-button class="md-raised" ng-click="add_group($event)" type="submit">submit</md-button>
        
          
        
        </div>       
            
        <div  ng-if="action!=2">
            <br />
         
            <div class="row" ng-if="searchView == 2">
                <div class="col-lg-2 col-sm-2 col">
                    <md-input-container md-no-float class="md-block">
                        <md-icon><i class="ri-group-line"></i></md-icon>
                        <input ng-model="search.groupid" type="number" placeholder="Group id ">
                    </md-input-container>
                </div>
                <div class="col-lg-2 col-sm-2 col">
                    <md-input-container md-no-float class="md-block">
                        <md-icon><i class="ri-group-line"></i></md-icon>
                        <input ng-model="search.groupid" type="number" placeholder="Group name ">
                    </md-input-container>
                </div>
            </div>
               
           
                
            <br />
            



              
            <table class="table" ng-if="viewType==1">
                <thead>
                    <tr>
                        <th borer=1>GROUP ID</th>
                        <th> GROUP NAME</th>
                        <th> CREATED DATE</th>
                        <th> UPDATED DATE</th>
                        <th> Action</th>
                        
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="(m,x) in groups | filter:{ groupid: search.groupid}">
                        <td>{{x.groupid}}</td>
                        <td>{{x.group_name}}</td>
                        <td>{{x.crdate}}</td>
                        <td>{{x.update}}</td>
                                                   
                        <td>
                            <button ng-click="edit_group(x)">Edit</button>
                            <button ng-click="delete_user(x)">Delete</button>

                        </td>
                    </tr>
                </tbody>
            </table>

            <div class="row" ng-if="viewType==2">
                <div class="col-md-3" ng-repeat="(m,x) in groups | filter:{ groupid: search.groupid}">
                    <div class="card">
                        <img class="card-img-top" src="https://via.placeholder.com/150x100?text=Tork" alt="Card image cap">
                        <div class="card-body">
                            <h5 class="card-title">ID{{x.groupid}}</h5>
                            <p class="card-text">Group name: {{x.group_name}}.
                               <br/> Created date:-{{x.crdate}}
                               <br/>Updated date:{{x.update}}
                               
                            </p>
                            <a href="#" class="btn btn-primary">Go somewhere</a>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row" ng-if="viewType==3">
                <div  ng-repeat="(m,x) in users | filter:{ user_name: search.user_name } | filter:{user_mobile:search.user_mobile}"  >
                    <div class="row" >
                        <div class="col-md-2 col-md-2">
                            <img class="card-img-top" src="https://via.placeholder.com/80x80?text=Tork" alt="Card image cap">
                        </div>
                        <div class="col-md-9">
                            <div class="card-body">
                                <h5 class="card-title">ID{{x.groupid}}</h5>
                                <p class="card-text">Group name: {{x.group_name}}.
                                   <br/> Created date:-{{x.crdate}}
                                   <br/>Updated date:{{x.update}}
                                   
                                </p>
                                <!-- <a href="#" class="btn btn-primary">Go somewhere</a> -->
                            </div>
                        </div>
                    </div>
                    <br />
                </div>
            </div>

        </div>
    </div>
